<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Zorro in the Land That Time Forgot</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/Zorro-in-the-Land-That-Time-Forgot-1/digital-comic/883956</Web>
  <Summary>The landmark comics event of the year begins here, as two of literature's best-loved and most action-packed properties meet in a crossover that was destined to happen: Zorro in the Land That Time Forgot! Licensed and fully-endorsed by Zorro Productions, Inc. and Edgar Rice Burroughs, Inc., this astounding mini-series organically merges two different worlds in a story of action, intrigue, and prehistoric adventure that will have you cheering and on the edge of your seat! Set before the events of the original novel The Land That Time Forgot, Italian explorer Fausto Caproni leads an expedition to rediscover the fabled island continent of Caprona, first discovered by his grandfather but lost in the mists of time. On the eve of his embarkment from the port of La Reina de Los Angeles, Caproni has secured funding for his voyage from the Spanish government, as well as from the wealthy de la Vega family. But with a detachment of Spanish soldiers set to accompany Caproni, Don Diego de la Vega detects a nefarious plot. Diego-who is secretly the swashbuckling hero, El Zorro-stows away aboard the ship, and once they reach Caprona, Fausto, his sister Marina, the crew of the galleon Redenzione, the Spanish soldiers, and Zorro himself will find themselves thrust into a nightmare world of rampaging dinosaurs and prehistoric beasts that still roam in a land that time forgot! This lost world blockbuster is sure to thrill fans of Zorro, Edgar Rice Burroughs, dinosaurs, and romantic adventure in an all-new tale that follows in the footsteps of fantasy's greatest authors. Written by Mike Wolfer (Pellucidar, The Land That Time Forgot) and illustrated by sensational newcomer Alessandro Ranandi, featuring a main cover by Roy Allan Martinez (Zorro, The Monster Men), a variant cover by Miriana Puglia (The Moon Maid), and a Limited Edition cover by Alessandro Ranaldi.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB883956]</Notes>
  <Publisher>American Mythology Productions</Publisher>
  <Genre>Action/Adventure, Fantasy, Movies &amp; TV</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
